## gitlab-shell 2.6.5

=== debian/changelog ===
gitlab-shell (2.6.5-2) unstable; urgency=medium

  * Add patch to use system paths

 -- Pirate Praveen <praveen@debian.org>  Tue, 10 Nov 2015 20:51:33 +0530

gitlab-shell (2.6.5-1) unstable; urgency=medium

  * Initial release (Closes: #804461)

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 Nov 2015 00:33:01 +0530

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/gitlab-shell .*/gitlab-shell-(.*).tar.gz

## gitlab-shell 2.6.9

=== debian/changelog ===
gitlab-shell (2.6.9-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file
  * Fix gitlab-shell paths (update patches)
  * Install hooks directory (Thanks Libor Klepáč)
  * Install VERSION (Thanks Marin Jankovski)

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Jan 2016 15:26:36 +0530

## gitlab-shell 3.4.0

=== Makefile ===
REDIS_RB_VERSION=v3.3.0
REDIS_RB_VENDOR_DIR=lib/vendor/redis
PWD=`pwd`

all:

update-redis:
	rm -rf $(REDIS_RB_VENDOR_DIR)
	git clone -b $(REDIS_RB_VERSION) https://github.com/redis/redis-rb.git $(REDIS_RB_VENDOR_DIR)
	rm -rf $(REDIS_RB_VENDOR_DIR)/.git

.PHONY=update-redis

## gitlab-shell 2.6.10

=== debian/changelog ===
gitlab-shell (2.6.10-1build1) xenial; urgency=medium

  * No-change rebuild to add a gemspec file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Mar 2016 15:02:39 +0100

gitlab-shell (2.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Thu, 21 Jan 2016 22:39:43 +0530

=== debian/control ===
Source: gitlab-shell
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               rake,
               ruby-rspec
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab-shell.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab-shell.git
Homepage: https://gitlab.com/gitlab-org/gitlab-shell/
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: gitlab-shell
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: handles git commands for GitLab
 GitLab Shell handles git commands for GitLab and modifies the list of
 authorized keys. GitLab Shell is not a Unix shell nor a replacement for Bash
 or Zsh.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.1 ruby2.2
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec
#
# Uncomment to check dependencies during build:
# export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	if test -d bin; then mv bin debian; fi

clean:
	if test -d debian/bin; then rm -rf bin;mv debian/bin .; fi
	dh clean --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
https://gitlab.com/gitlab-org/gitlab-shell/tags .*/archive.tar.gz\?ref=v(.*)

## gitlab-shell 3.0.0

=== debian/changelog ===
gitlab-shell (3.0.0-4) unstable; urgency=medium

  * Move config.yml to /usr/share/doc/gitlab-shell
  * Handle bin directory in install target instead of build 

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jul 2016 19:24:45 +0530

gitlab-shell (3.0.0-3) unstable; urgency=medium

  * Use tcp connection to redis instead of unix socket (redis default is tcp) 

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Jun 2016 15:27:25 +0530

gitlab-shell (3.0.0-2) unstable; urgency=medium

  * Don't check dependencies in autopkgtest (Closes: #819085) 

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Jun 2016 14:36:01 +0530

gitlab-shell (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Move log file to /var/log/gitlab-shell and
    move config.yml to /etc/gitlab-shell (Closes: #819374)

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Jun 2016 21:43:54 +0530

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                gem2deb,
                rake,
                ruby-rspec
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab-shell.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab-shell.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab-shell.git
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/
 Testsuite: autopkgtest-pkg-ruby

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,7 @@
 %:
 	dh $@ --buildsystem=ruby --with ruby
 
-override_dh_auto_build:
-	if test -d bin; then mv bin debian; fi
-
-clean:
-	if test -d debian/bin; then rm -rf bin;mv debian/bin .; fi
-	dh clean --buildsystem=ruby --with ruby
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p debian/gitlab-shell/usr/share/gitlab-shell
+	mv debian/gitlab-shell/usr/bin debian/gitlab-shell/usr/share/gitlab-shell

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=v(.*)/gitlab-shell-$1.tar.gz/ \
https://gitlab.com/gitlab-org/gitlab-shell/tags .*/archive.tar.gz\?ref=v(.*)

## gitlab-shell 3.4.0

=== debian/changelog ===
gitlab-shell (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Aug 2016 21:39:53 +0530

## gitlab-shell 3.6.6

=== debian/changelog ===
gitlab-shell (3.6.6-4) unstable; urgency=medium

  [ Pirate Praveen ]
  * Install config.yml.example in /usr/lib  

 -- Balasankar C <balasankarc@autistici.org>  Fri, 24 Feb 2017 16:57:29 +0530

gitlab-shell (3.6.6-3) unstable; urgency=medium

  * Fix typo in git 2.11 support patch (Closes: #854262) 

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Feb 2017 21:06:26 +0530

gitlab-shell (3.6.6-2) unstable; urgency=medium

  * Backport git 2.11 support 

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jan 2017 13:04:37 +0530

gitlab-shell (3.6.6-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Mon, 31 Oct 2016 15:18:08 +0530

gitlab-shell (3.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sat, 01 Oct 2016 15:44:40 +0530

## gitlab-shell 5.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-REDIS_RB_VERSION=v3.3.0
+REDIS_RB_VERSION=v3.3.3
 REDIS_RB_VENDOR_DIR=lib/vendor/redis
 PWD=`pwd`

=== debian/changelog ===
gitlab-shell (5.8.0-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump standards version to 4.1.3, debhelper compat to 11

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Feb 2018 21:35:29 +0530

gitlab-shell (5.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Aug 2017 14:13:20 +0530

## gitlab-shell 6.0.4

=== debian/changelog ===
gitlab-shell (6.0.4-1) unstable; urgency=medium

  * New upstream version 6.0.4

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Mar 2018 18:08:20 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                gem2deb,
                rake,
                ruby-rspec
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab-shell.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab-shell.git
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/

=== debian/watch ===
version=3
opts=filenamemangle=s/.*v(.*)\/.*/gitlab-shell-$1.tar.gz/ \
https://gitlab.com/gitlab-org/gitlab-shell/tags .*/repository/v(.*)/archive.tar.gz

## gitlab-shell 7.1.2+dfsg

=== debian/changelog ===
gitlab-shell (7.1.2+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 14:07:49 +0530

gitlab-shell (7.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 7.1.2+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 May 2018 14:29:18 +0530

gitlab-shell (6.0.4+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Removed trailing whitespaces from changelog.
  * Update copyright format URL to HTTPS.
  * Vcs-URLs to salsa.debian.org.
  * Build and install golang hooks; arch: all --> any.
  * Build-Depends:
    + dh-golang
    + golang-go
    + golang-golang-x-net-dev
    + golang-golang-x-text-dev
    + golang-gitaly-proto-dev
    + golang-google-grpc-dev
    + golang-google-genproto-dev
    + golang-goprotobuf-dev
    + golang-gopkg-yaml.v2-dev

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 12:37:46 +0530

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,27 @@
                gem2deb,
                rake,
                ruby-rspec
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab-shell.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab-shell.git
+    ,dh-golang
+    ,golang-go
+    ,golang-golang-x-net-dev
+    ,golang-golang-x-text-dev
+    ,golang-gitaly-proto-dev
+    ,golang-google-grpc-dev
+    ,golang-google-genproto-dev
+    ,golang-goprotobuf-dev
+    ,golang-gopkg-yaml.v2-dev
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
+XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-shell
 
 Package: gitlab-shell
-Architecture: all
+Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
+Built-Using: ${misc:Built-Using}
 Depends: ruby | ruby-interpreter,
          ${misc:Depends},
          ${shlibs:Depends}

## gitlab-shell 7.1.2+dfsg1

=== debian/changelog ===
gitlab-shell (7.1.2+dfsg1-1) unstable; urgency=medium

  * Remove vendored copy of gitaly-proto
  * Use golang-github-sirupsen-logrus-dev from system
  * Use golang-golang-x-crypto-dev from system
  * Use golang-golang-x-sys-dev from system
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Oct 2018 11:30:05 +0530

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,17 @@
                ruby-rspec
     ,dh-golang
     ,golang-go
+    ,golang-golang-x-crypto-dev (>= 1:0.0~git20180513.94e3fad~)
     ,golang-golang-x-net-dev
     ,golang-golang-x-text-dev
+    ,golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~)
     ,golang-gitaly-proto-dev
+    ,golang-github-sirupsen-logrus-dev (>= 1.0~)
     ,golang-google-grpc-dev
     ,golang-google-genproto-dev
     ,golang-goprotobuf-dev
     ,golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/

## gitlab-shell 7.2.0+dfsg

=== debian/changelog ===
gitlab-shell (7.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 09 Nov 2018 12:12:37 +0530

## gitlab-shell 8.3.3+dfsg

=== debian/changelog ===
gitlab-shell (8.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.3.3+dfsg
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:53:34 +0530

gitlab-shell (8.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Nov 2018 18:41:08 +0530

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/
-Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
 XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-shell

## gitlab-shell 8.4.3+dfsg

=== debian/changelog ===
gitlab-shell (8.4.3+dfsg-3) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:50:37 +0530

gitlab-shell (8.4.3+dfsg-2) experimental; urgency=medium

  * Use more go binaries to replace old ruby binaries
  * Remove Breaks on gitlab as gitlab-shell binary is found (switched to go)

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 00:16:58 +0530

gitlab-shell (8.4.3+dfsg-1) experimental; urgency=medium

  * New upstream version 8.4.3+dfsg
    - Changed bin/gitlab-shell to bin/gitlab-shell-ruby
  * Add Breaks for gitlab << 11.5.3
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 19:55:50 +0530

gitlab-shell (8.3.3+dfsg-2) unstable; urgency=medium

  * Remove relative path in bin/gitlab-shell (Fixes: #914496)

 -- Pirate Praveen <praveen@debian.org>  Sun, 02 Dec 2018 12:52:50 +0530

## gitlab-shell 8.4.3+dfsg1

=== debian/changelog ===
gitlab-shell (8.4.3+dfsg1-1deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild against golang-go.crypto 1:0.0~git20181203.505ab14-1+deb10u1.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Jun 2023 12:06:07 +0200

gitlab-shell (8.4.3+dfsg1-1) unstable; urgency=medium

  * Set minimum version golang-any to 1.10~
  * Use vendored copy of grpc and gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Dec 2018 16:06:30 +0530

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                rake,
                ruby-rspec
     ,dh-golang
-    ,golang-go
-    ,golang-golang-x-crypto-dev (>= 1:0.0~git20180513.94e3fad~)
+    ,golang-any (>= 1.10~)
+    ,golang-golang-x-crypto-dev (>= 1:0.0~git20181203.505ab14-1+deb10u1~)
     ,golang-golang-x-net-dev
     ,golang-golang-x-text-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~)
     ,golang-gitaly-proto-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0~)
-    ,golang-google-grpc-dev
+    ,golang-google-grpc-dev (>= 1.11~)
     ,golang-google-genproto-dev
     ,golang-goprotobuf-dev
     ,golang-gopkg-yaml.v2-dev

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,14 @@
 # export GEM2DEB_TEST_RUNNER = --check-dependencies
 
 %:
+	dh $@  --buildsystem=golang --with=golang --sourcedirectory=go --builddirectory=_build
 	dh $@ --buildsystem=ruby --with ruby
+
+override_dh_clean:
+	dh_clean
+	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
+	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
+	-find go/vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
 
 override_dh_auto_install:
 	dh_auto_install

## gitlab-shell 8.4.4+dfsg

=== debian/changelog ===
gitlab-shell (8.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 8.4.4+dfsg
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Mar 2019 17:08:08 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                ruby-rspec
     ,dh-golang
     ,golang-any (>= 1.10~)
-    ,golang-golang-x-crypto-dev (>= 1:0.0~git20181203.505ab14-1+deb10u1~)
+    ,golang-golang-x-crypto-dev (>= 1:0.0~git20180513.94e3fad~)
     ,golang-golang-x-net-dev
     ,golang-golang-x-text-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~)
@@ -19,7 +19,7 @@
     ,golang-google-genproto-dev
     ,golang-goprotobuf-dev
     ,golang-gopkg-yaml.v2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/

## gitlab-shell 9.1.0+dfsg

=== debian/changelog ===
gitlab-shell (9.1.0+dfsg-2) experimental; urgency=medium

  * Remove comments in rules
  * Set gitlab shell directory with upstream patch (Closes: #929201)

 -- Pirate Praveen <praveen@debian.org>  Tue, 04 Jun 2019 22:06:08 +0530

gitlab-shell (9.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 9.1.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 May 2019 17:42:14 +0530

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --buildsystem=golang --with=golang --sourcedirectory=go --builddirectory=_build
	dh $@ --buildsystem=ruby --with ruby

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find go/vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/gitlab-shell/usr/share/gitlab-shell
	mv debian/gitlab-shell/usr/bin debian/gitlab-shell/usr/share/gitlab-shell

## gitlab-shell 10.3.0%2Bdebian

=== debian/changelog ===
gitlab-shell (10.3.0+debian-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop debian/tests/control that uses gem2deb-test-runner since this is not
    a Ruby package (Closes: #950230)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 03 Feb 2020 12:34:07 +0100

gitlab-shell (10.3.0+debian-3) unstable; urgency=medium

  * Reupload to unstable (gitlab current version in unstable cannot be
    supported meaningfully)
  * Move section to net from ruby

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 Jan 2020 21:42:34 +0530

gitlab-shell (10.3.0+debian-2) experimental; urgency=medium

  * Update minimum version of protobuf to 1.3
  * Add a maintscript to convert directory to symlink

 -- Pirate Praveen <praveen@debian.org>  Sat, 21 Dec 2019 00:10:54 +0530

gitlab-shell (10.3.0+debian-1) experimental; urgency=medium

  * New upstream version 10.3.0
  * Build only go files (ruby files are removed from this version)
  * Remove patches no longer required
  * Add README.source
  * Don't copy binaries to /usr/share
  * Hardcode gitlab-shell dir path

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Dec 2019 19:24:25 +0530

gitlab-shell (9.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version 9.3.0+dfsg
  * Refresh d/patches
  * Fix package wrt cme
  * Ignore test failures
  * Bump debhelper-compat to 12
  * Bump Standards-Version to 4.4.1

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 21 Oct 2019 17:17:12 +0530

=== debian/control ===
Source: gitlab-shell
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-crypto-dev (>= 1:0.0~git20180513.94e3fad~),
               golang-golang-x-net-dev,
               golang-golang-x-text-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
               golang-gitaly-proto-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0~),
               golang-google-grpc-dev (>= 1.11~),
               golang-google-genproto-dev,
               golang-goprotobuf-dev (>= 1.3~),
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
Homepage: https://gitlab.com/gitlab-org/gitlab-shell/
XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-shell
Rules-Requires-Root: no

Package: gitlab-shell
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: handles git commands for GitLab
 GitLab Shell handles git commands for GitLab and modifies the list of
 authorized keys. GitLab Shell is not a Unix shell nor a replacement for Bash
 or Zsh.

## gitlab-shell 10.3.0+debian

=== Makefile ===
.PHONY: validate verify verify_ruby verify_golang test test_ruby test_golang setup _install build compile check clean

GO_SOURCES := $(shell find . -name '*.go')

validate: verify test

verify: verify_ruby verify_golang

verify_ruby:
	bundle exec rubocop

verify_golang:
	gofmt -s -l $(GO_SOURCES)

test: test_ruby test_golang

# The Ruby tests are now all integration specs that test the Go implementation.
test_ruby:
	bundle exec rspec --color --format d spec

test_golang:
	go test ./...

setup: _install bin/gitlab-shell

_install:
	bin/install

build: bin/gitlab-shell
compile: bin/gitlab-shell
bin/gitlab-shell: $(GO_SOURCES)
	GOBIN="$(CURDIR)/bin" go install ./cmd/...

check:
	bin/check

clean:
	rm -f bin/check bin/gitlab-shell bin/gitlab-shell-authorized-keys-check bin/gitlab-shell-authorized-principals-check

=== vendor/github.com/lightstep/lightstep-tracer-go/Makefile ===
# tools
GO=go
DOCKER_PRESENT = $(shell command -v docker 2> /dev/null)

LOCAL_GOPATH = $(PWD)/../../../../

default: build
.PHONY: default build test

# generate_fake: runs counterfeiter in docker container to generate fake classes
# $(1) output file path
# $(2) input file path
# $(3) class name
define generate_fake
	docker run --rm -v $(LOCAL_GOPATH):/usergo \
	  lightstep/gobuild:latest /bin/bash -c "\
	  cd /usergo/src/github.com/lightstep/lightstep-tracer-go; \
	  counterfeiter -o $(1) $(2) $(3)"
endef

collectorpb/collectorpbfakes/fake_collector_service_client.go: collectorpb/collector.pb.go
	$(call generate_fake,collectorpb/collectorpbfakes/fake_collector_service_client.go,collectorpb/collector.pb.go,CollectorServiceClient)

# gRPC
ifeq (,$(wildcard lightstep-tracer-common/collector.proto))
collectorpb/collector.pb.go:
else
collectorpb/collector.pb.go: lightstep-tracer-common/collector.proto
	docker run --rm -v $(shell pwd)/lightstep-tracer-common:/input:ro -v $(shell pwd)/collectorpb:/output \
	  lightstep/grpc-gateway:latest \
	  protoc -I/root/go/src/tmp/vendor/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis --go_out=plugins=grpc:/output --proto_path=/input /input/collector.proto
endif

# gRPC
ifeq (,$(wildcard lightstep-tracer-common/collector.proto))
lightsteppb/lightstep.pb.go:
else
lightsteppb/lightstep.pb.go: lightstep-tracer-common/lightstep.proto
	docker run --rm -v $(shell pwd)/lightstep-tracer-common:/input:ro -v $(shell pwd)/lightsteppb:/output \
	  lightstep/protoc:latest \
	  protoc --go_out=plugins=grpc:/output --proto_path=/input /input/lightstep.proto
endif

test: collectorpb/collector.pb.go lightsteppb/lightstep.pb.go \
		collectorpb/collectorpbfakes/fake_collector_service_client.go \
		lightstepfakes/fake_recorder.go
ifeq ($(DOCKER_PRESENT),)
	$(error "docker not found. Please install from https://www.docker.com/")
endif
	docker run --rm -v $(LOCAL_GOPATH):/usergo lightstep/gobuild:latest \
	  ginkgo -race -p /usergo/src/github.com/lightstep/lightstep-tracer-go
	bash -c "! git grep -q '[g]ithub.com/golang/glog'"

build: collectorpb/collector.pb.go lightsteppb/lightstep.pb.go \
		collectorpb/collectorpbfakes/fake_collector_service_client.go version.go \
		lightstepfakes/fake_recorder.go
ifeq ($(DOCKER_PRESENT),)
	$(error "docker not found. Please install from https://www.docker.com/")
endif
	${GO} build github.com/lightstep/lightstep-tracer-go

# When releasing significant changes, make sure to update the semantic
# version number in `./VERSION`, merge changes, then run `make release_tag`.
version.go: VERSION
	./tag_version.sh

release_tag:
	git tag -a v`cat ./VERSION`
	git push origin v`cat ./VERSION`

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gitlab-shell
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Section: net

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
filenamemangle=s/.*v(.*)\/.*/gitlab-shell-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitlab-shell/tags .*/gitlab-shell-v(.*).tar.gz

## gitlab-shell 13.2.0+debian

=== debian/changelog ===
gitlab-shell (13.2.0+debian-2) unstable; urgency=medium

  * Reupload to unstable (gitlab 13.0.3 is now uploaded)

 -- Pirate Praveen <praveen@debian.org>  Sun, 31 May 2020 16:27:02 +0530

gitlab-shell (13.2.0+debian-1) experimental; urgency=medium

  [ Manas Kashyap ]
  * Unused modules lightstep-tracer-go dd-trace-go.v1 jaeger-client-go
     stretchr/objx tinylib/msgp stretchr/testify philhofer/fwd grpc dropped
     from vendor
  * Dropped files-excluded as the vendor folder is manually added and not from
    the upstream source
  * Dropped packaged modules go-spew opentracing-go go-difflib
    golang-github-mattn-go-shellwords-dev from vendor and added as build
    dependency.

  [ Pirate Praveen ]
  * New upstream version 13.2.0+debian

 -- Pirate Praveen <praveen@debian.org>  Sat, 23 May 2020 15:47:45 +0530

gitlab-shell (12.2.0+debian-1) unstable; urgency=medium

  * New upstream version 12.2.0+debian

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Apr 2020 22:14:51 +0530

gitlab-shell (12.0.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Apr 2020 19:17:08 +0530

gitlab-shell (12.0.0-1) experimental; urgency=medium

  * New upstream version 12.0.0

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Apr 2020 16:13:40 +0530

gitlab-shell (11.0.0+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 31 Mar 2020 18:00:28 +0530

gitlab-shell (11.0.0+debian-1) experimental; urgency=medium

  * New upstream version 11.0.0+debian
  * Update README.source
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 17 Mar 2020 14:10:16 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gitlab-shell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Section: net
@@ -17,8 +16,12 @@
                golang-google-grpc-dev (>= 1.11~),
                golang-google-genproto-dev,
                golang-goprotobuf-dev (>= 1.3~),
-               golang-gopkg-yaml.v2-dev
-Standards-Version: 4.4.1
+               golang-gopkg-yaml.v2-dev,
+               golang-github-davecgh-go-spew-dev,
+               golang-github-opentracing-opentracing-go-dev,
+               golang-github-pmezard-go-difflib-dev,
+               golang-github-mattn-go-shellwords-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git
 Homepage: https://gitlab.com/gitlab-org/gitlab-shell/

## gitlab-shell 13.3.0+debian

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,9 @@
 test_golang:
 	go test ./...
 
+test_golang_race:
+	go test -race ./...
+
 setup: _install bin/gitlab-shell
 
 _install:

=== debian/changelog ===
gitlab-shell (13.3.0+debian-2) unstable; urgency=medium

  * Switch gitlab_url to unix socket

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Aug 2020 22:44:24 +0530

gitlab-shell (13.3.0+debian-1) unstable; urgency=medium

  * Update minimum version of grpc to 1.22
  * New upstream version 13.3.0+debian
  * Update build dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jun 2020 23:06:36 +0530

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,16 @@
                golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
                golang-gitaly-proto-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0~),
-               golang-google-grpc-dev (>= 1.11~),
+               golang-google-grpc-dev (>= 1.22~),
                golang-google-genproto-dev,
                golang-goprotobuf-dev (>= 1.3~),
                golang-gopkg-yaml.v2-dev,
+               golang-github-client9-reopen-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pmezard-go-difflib-dev,
-               golang-github-mattn-go-shellwords-dev
+               golang-github-mattn-go-shellwords-dev,
+               golang-github-sebest-xff-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/gitlab-shell
 Vcs-Git: https://salsa.debian.org/ruby-team/gitlab-shell.git

## gitlab-shell 13.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: validate verify verify_ruby verify_golang test test_ruby test_golang setup _install build compile check clean
+.PHONY: validate verify verify_ruby verify_golang test test_ruby test_golang coverage coverage_golang setup _install build compile check clean
 
 GO_SOURCES := $(shell find . -name '*.go')
 
@@ -19,10 +19,15 @@
 	bundle exec rspec --color --format d spec
 
 test_golang:
-	go test ./...
+	go test -cover -coverprofile=cover.out ./...
 
 test_golang_race:
 	go test -race ./...
+
+coverage: coverage_golang
+
+coverage_golang:
+	[ -f cover.out ] && go tool cover -func cover.out
 
 setup: _install bin/gitlab-shell

## gitlab-shell 13.11.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 .PHONY: validate verify verify_ruby verify_golang test test_ruby test_golang coverage coverage_golang setup _install build compile check clean
 
 GO_SOURCES := $(shell find . -name '*.go')
+VERSION_STRING := $(shell git describe --match v* 2>/dev/null || awk '$0="v"$0' VERSION 2>/dev/null || echo unknown)
+BUILD_TIME := $(shell date -u +%Y%m%d.%H%M%S)
+GOBUILD_FLAGS := -ldflags "-X main.Version=$(VERSION_STRING) -X main.BuildTime=$(BUILD_TIME)"
 
 validate: verify test
 
@@ -37,7 +40,7 @@
 build: bin/gitlab-shell
 compile: bin/gitlab-shell
 bin/gitlab-shell: $(GO_SOURCES)
-	GOBIN="$(CURDIR)/bin" go install ./cmd/...
+	GOBIN="$(CURDIR)/bin" go install $(GOBUILD_FLAGS) ./cmd/...
 
 check:
 	bin/check

=== debian/changelog ===
gitlab-shell (13.11.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.11.0
  * Add Patch forwarding information to hardcode-config-path.patch

 -- Abraham Raji <avronr@tuta.io>  Tue, 01 Dec 2020 01:37:58 +0000

gitlab-shell (13.7.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.7.0

 -- Abraham Raji <avronr@tuta.io>  Sat, 14 Nov 2020 03:51:09 +0000

gitlab-shell (13.6.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.6.0
  * Added Upstream Metadata

 -- Abraham Raji <avronr@tuta.io>  Thu, 24 Sep 2020 23:03:50 +0000

## gitlab-shell 13.13.0+debian

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,7 @@
 
 validate: verify test
 
-verify: verify_ruby verify_golang
-
-verify_ruby:
-	bundle exec rubocop
+verify: verify_golang
 
 verify_golang:
 	gofmt -s -l $(GO_SOURCES)

=== debian/changelog ===
gitlab-shell (13.13.0+debian-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Jan 2021 22:27:49 +0530

gitlab-shell (13.13.0+debian-1) unstable; urgency=medium

  * Add golang-github-otiai10-copy-dev as build dependency
  * New upstream version 13.13.0+debian
  * hooks directory is no longer present in upstream (so remove from install
    file)

 -- Pirate Praveen <praveen@debian.org>  Tue, 26 Jan 2021 22:07:54 +0530

gitlab-shell (13.11.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Jan 2021 14:36:31 +0530

gitlab-shell (13.7.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 Dec 2020 02:06:19 +0530

gitlab-shell (13.6.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Build with newer golang-go (gccgo does not support go 1.13 features)
    Thanks to Shengjing Zhu for the tip.

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Oct 2020 15:42:04 +0530

gitlab-shell (13.3.0+debian-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Sep 2020 14:16:21 +0530

gitlab-shell (13.3.0+debian-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 30 Jun 2020 00:22:26 +0530

gitlab-shell (13.2.0+debian-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update minimum version of grpc to 1.22

 -- Pirate Praveen <praveen@debian.org>  Sun, 31 May 2020 16:37:12 +0530

gitlab-shell (12.2.0+debian-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 23 Apr 2020 15:45:11 +0530

sgitlab-shell (12.0.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Apr 2020 19:21:50 +0530

gitlab-shell (11.0.0+debian-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 31 Mar 2020 18:07:08 +0530

gitlab-shell (10.3.0+debian-3.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Lower debhelper-compat to 11 (for dwz compatibility)

 -- Pirate Praveen <praveen@debian.org>  Mon, 02 Mar 2020 14:27:26 +0530

gitlab-shell (10.3.0+debian-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 21 Dec 2019 00:12:21 +0530

gitlab-shell (10.3.0+debian-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update minimum version of protobuf to 1.3

 -- Pirate Praveen <praveen@debian.org>  Thu, 19 Dec 2019 16:36:25 +0530

gitlab-shell (9.3.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Lower debhelper compat to 11

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Nov 2019 21:36:38 +0530

gitlab-shell (9.1.0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Jun 2019 23:40:45 +0530

gitlab-shell (8.4.4+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Mar 2019 15:08:08 +0530

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
            Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
-               golang-any,
+Build-Depends: debhelper-compat (= 11),
+               dh-golang (>= 1.49~),
+               golang-go (>= 2:1.14~),
                golang-golang-x-crypto-dev (>= 1:0.0~git20180513.94e3fad~),
                golang-golang-x-net-dev,
                golang-golang-x-text-dev,
@@ -20,6 +20,7 @@
                golang-github-client9-reopen-dev,
                golang-github-davecgh-go-spew-dev,
                golang-github-opentracing-opentracing-go-dev,
+               golang-github-otiai10-copy-dev,
                golang-github-pmezard-go-difflib-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-sebest-xff-dev
